Bug 2080687

Summary: [rebase v1.24] [sig-network][Feature:Router] tests are failing
Product: OpenShift Container Platform Reporter: Abu Kashem <akashem>
Component: NetworkingAssignee: Krzysztof Ostrowski <kostrows>
Networking sub component: router QA Contact: Melvin Joseph <mjoseph>
Status: CLOSED ERRATA Docs Contact:
Severity: high    
Priority: unspecified CC: ffernand, hongli, kostrows, mmasters, surbania
Version: 4.11Flags: mmasters: needinfo-
Target Milestone: ---   
Target Release: 4.11.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: No Doc Update
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-08-10 11:09:50 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Abu Kashem 2022-04-30 22:58:45 UTC
failed tests:
-  [sig-network][Feature:Router] The HAProxy router should expose the profiling endpoints [Skipped:Disconnected] [Suite:openshift/conformance/parallel] 

- [sig-network][Feature:Router] The HAProxy router should expose a health check on the metrics port [Skipped:Disconnected] [Suite:openshift/conformance/parallel] 

- [sig-network][Feature:Router] The HAProxy router should enable openshift-monitoring to pull metrics [Skipped:Disconnected] [Suite:openshift/conformance/parallel]

- [sig-network][Feature:Router] The HAProxy router should expose prometheus metrics for a route [Skipped:Disconnected] [Suite:openshift/conformance/parallel] 


this is the common error

```
{  fail [github.com/openshift/origin/test/extended/router/metrics.go:89]: Unexpected error:
    <*errors.errorString | 0xc0019c9960>: {
        s: "serviceaccount 'openshift-monitoring/prometheus-k8s' does not contain 'prometheus-k8s-token' secret",
    }
    serviceaccount 'openshift-monitoring/prometheus-k8s' does not contain 'prometheus-k8s-token' secret
occurred}
```

job run: https://prow.ci.openshift.org/view/gs/origin-ci-test/pr-logs/pull/openshift_kubernetes/1248/pull-ci-openshift-kubernetes-master-e2e-aws-fips/1520465065768128512


this is where it's failing: https://github.com/openshift/origin/blob/fc70dccd2a29984e4bc9d0823b473756a025ccb7/test/extended/router/metrics.go#L463-L465

probably due to bound service account token volume

Comment 4 Abu Kashem 2022-05-04 16:20:41 UTC
cc surbania

Comment 5 Miciah Dashiel Butler Masters 2022-05-05 16:23:54 UTC
Sergiusz, I see there is a fix posted, which you have reviewed; should we assign this BZ to you?

Comment 6 Krzysztof Ostrowski 2022-05-05 17:14:11 UTC
A PR is open to fix the issue: https://github.com/openshift/origin/pull/27100

Comment 7 Krzysztof Ostrowski 2022-05-05 17:14:25 UTC
A PR is open to fix the issue: https://github.com/openshift/origin/pull/27100

Comment 8 Krzysztof Ostrowski 2022-05-05 17:15:23 UTC
If you don't mind, I can take it.

Comment 9 Miciah Dashiel Butler Masters 2022-05-06 14:27:28 UTC
Thanks, Krzysztof!  I'm assigning the BZ to you.

Comment 15 errata-xmlrpc 2022-08-10 11:09:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.11.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:5069